package main

import (
	"fmt"
	"os"
	"path/filepath"
)

func check(e error, s string) {
	if e != nil {
		fmt.Errorf(s)
	}
}

func dots(count int) string {
	dotStr := ""
	for i := 0; i < count; i++ {
		dotStr += "."
	}
	return dotStr
}

func stripExtension(filename string) string {
	ext := filepath.Ext(filename)
	return filename[:len(filename)-len(ext)]
}

func makeOutputDir() {
	// Default to just "output"
	err := os.Mkdir("output", 0755)
	check(err, "cannot make directory")
	return
}

func clearOutputDir() {
	err := os.RemoveAll("./output")
	check(err, "cannot remove directory")
	return
}

func printUsage() {
	fmt.Println("Usage: go run main.go <source-file> <number-of-copies> <shit-size> <iterations>")
	fmt.Println(`
    source-file: 
  `)
}
